#part_name="xc7a15tcsg324-1"

## Clock signal Sch name = CLK100MHZ
set_property PACKAGE_PIN P17 [get_ports CLK100]
set_property IOSTANDARD LVCMOS33 [get_ports CLK100]
create_clock -period 10.000 -name sys_clk_pin -waveform {0.000 5.000} -add [get_ports CLK100]
set_input_jitter sys_clk_pin 1.000

## LEDs Sch name = sysled
set_property PACKAGE_PIN M16 [get_ports sysled]
set_property IOSTANDARD LVCMOS33 [get_ports sysled]

## ACBUS Sch name = ACBUS
set_property PACKAGE_PIN V4 [get_ports RXF]
set_property IOSTANDARD LVCMOS33 [get_ports RXF]
set_property PACKAGE_PIN R6 [get_ports TXE]
set_property IOSTANDARD LVCMOS33 [get_ports TXE]
set_property PACKAGE_PIN U4 [get_ports RD]
set_property IOSTANDARD LVCMOS33 [get_ports RD]
set_property PACKAGE_PIN V2 [get_ports WR]
set_property IOSTANDARD LVCMOS33 [get_ports WR]
set_property PACKAGE_PIN V1 [get_ports SIWU]
set_property IOSTANDARD LVCMOS33 [get_ports SIWU]
set_property PACKAGE_PIN N5 [get_ports CLKOUT]
set_property IOSTANDARD LVCMOS33 [get_ports CLKOUT]
create_clock -period 16.660 -name sys_clkout_pin -waveform {0.000 5.000} -add [get_ports CLKOUT]
set_input_jitter sys_clkout_pin 1.000
set_property PACKAGE_PIN T5 [get_ports OE]
set_property IOSTANDARD LVCMOS33 [get_ports OE]
set_property PACKAGE_PIN T3 [get_ports PWRSAV]
set_property IOSTANDARD LVCMOS33 [get_ports PWRSAV]

## Data Sch name = D
set_property PACKAGE_PIN P3 [get_ports {D[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[0]}]
set_property PACKAGE_PIN R3 [get_ports {D[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[1]}]
set_property PACKAGE_PIN T4 [get_ports {D[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[2]}]
set_property PACKAGE_PIN P5 [get_ports {D[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[3]}]
set_property PACKAGE_PIN U1 [get_ports {D[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[4]}]
set_property PACKAGE_PIN U2 [get_ports {D[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[5]}]
set_property PACKAGE_PIN U3 [get_ports {D[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[6]}]
set_property PACKAGE_PIN R5 [get_ports {D[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {D[7]}]

#BITSTREAM:
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]

set_input_delay -clock [get_clocks sys_clkout_pin] -clock_fall -min -add_delay 1.000 [get_ports TXE]
set_input_delay -clock [get_clocks sys_clkout_pin] -clock_fall -max -add_delay 7.150 [get_ports TXE]
set_output_delay -clock [get_clocks sys_clkout_pin] -min -add_delay 0.000 [get_ports {D[*]}]
set_output_delay -clock [get_clocks sys_clkout_pin] -max -add_delay 8.000 [get_ports {D[*]}]
set_output_delay -clock [get_clocks sys_clkout_pin] -min -add_delay 0.000 [get_ports WR]
set_output_delay -clock [get_clocks sys_clkout_pin] -max -add_delay 8.000 [get_ports WR]
